Skip to main content

Akoya
Documentation

Taxlots

GET

https://sandbox-products.ddp.akoya.com/taxlots/{version}/{providerId}/{accountId}/{holdingId}

Retrieve tax lots of consumer-permissioned accounts.


Path Parameters

  1. version*

    stringdefault: v3

    Akoya major version number. Do not use minor version numbers. For instance, use v3 and not v3.1

  2. providerId*

    stringdefault: mikomo

    Id of provider

  3. accountId*

    stringdefault: :accountId

    Account Identifier

  4. holdingId*

    string

    Consumer's holdingId under investments

Headers

  1. x-akoya-interaction-type*

    Allowed values are `USER` or `BATCH`. `USER` indicates a request is prompted by an end-user action. `BATCH` indicates the request is part of a batch process.

  2. x-akoya-last-access*

    The date and time stamp for the last active use by the user. Follow the ISO8601 date format in the UTC time zone. For example: `2025-11-24T00:00:00Z`

  3. x-akoya-intent-type*

    Acceptable values are `payments` or `nonpayments.`

Query Parameters

  1. offset

    stringdefault: 0

    The number of items to skip before the first in the response. The default is 0.

  2. limit

    stringdefault: 50

    The maximum number of items to be returned in the response. The default is 50.


Responses

  1. 200

    OK

    Response Body

    object

      accountId

      string

      Corresponds to AccountId in Account

      holding

      object

          holdingId

          string

          Long term persistent identity of the holding

          securityId

          string

          Unique identifier of the security.

          securityIdType

            string

          taxLots

            array

  2. 401

    Customer not authorized.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  3. 403

    Incorrect providerId or no subscription to provider.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  4. 404

    701 - Tax Lots not found. The `holdingId` may be wrong.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  5. 405

    Method Not Allowed

    Response

    string

  6. 408

    Request timed out (round trip call took >10 seconds).

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

CTRL + K

Try it

Authorization